# Class poisson_distribution::param_type

- Defined in File hiprand.hpp

## Nested Relationships

This class is a nested type of Template Class poisson_distribution.

## Class Documentation

class param_type

  The type of the distribution parameter set.

  Public Types

  using distribution_type = poisson_distribution<IntType>

  Public Functions

  inline param_type(double mean = 1.0)
  param_type(const param_type &params) = default
  inline double mean() const

    Returns the mean distribution parameter.

    The mean (also known as lambda) is the average number of events per interval. The default value is 1.0.

  inline bool operator==(const param_type &other)

    Returns `true` if the param_type is the same as `other`.

  inline bool operator!=(const param_type &other)

    Returns `true` if the param_type is different from `other`.